/*
Copyright (C) 2005-2009 Niels Ott

Licensed under the Apache License, Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 
     http://www.apache.org/licenses/LICENSE-2.0 
Unless required by applicable law or agreed to in writing, software distributed 
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.
 */

package de.drni.bananasplit.omat;

import de.drni.bananasplit.affix.Affix;

/**
Interface that is implemented by severall affix handling
classes.
@author <a href="http://www.drni.de/niels/">Niels Ott</a>
@version $Id: AffixOMat.java 37 2009-02-05 15:26:03Z niels $
*/
public interface AffixOMat {
	
	public void init(String word);
	public String applyNextAffix();
	public Affix lastAppliedAffix();
	
}
